@font-face {
    font-family: mc;
    src: url("imgs/mc.ttf");
}

* {
    font-family: mc;
}

body {
    margin: 0 auto;
    overflow: hidden;
    background: whitesmoke;
}

#header {
    position: absolute;
    width: 100vw;
    height: 15vh;
    background-image: url(imgs/stoneBrick.png);
    background-size: 15vh 15vh;
    color: whitesmoke;
    font-size: 30px;
    z-index: 3;
}

#header .status {
    position: absolute;
    box-sizing: border-box;
    height: 50%;
}

#header #status1 {
    top: 20px;
    left: 10px;
    width: 40%;
}

#header #status2 {
    bottom: 0px;
    left: 10px;
    width: 96%;
}

#header #status3 {
    top: 20px;
    right: 10px;
    width: 50%;
    text-align: right;
}

#header #status4 {
    top: 30%;
    right: 5%;
    width: 90%;
    height: 40%;
    text-align: center;
    font-size: 50px;
    color: #fda3f5
}

#status3.yourTurn {
    color: #abfda3
}

#status3.oponentsTurn {
    color: #fda3a3
}

#overlay {
    position: absolute;
    top: 0px;
    left: 0px;
    background: rgba(0, 0, 0, 0.3);
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    /* visibility: hidden; */
}

#overlayContainer {
    width: 500px;
    height: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: rgba(0, 0, 0, 0.9);
    border: 3px solid black;
    border-radius: 5px;
}

#overlayContainer * {
    border: none;
    text-align: center;
    box-sizing: border-box;
    height: 15%;
    width: 40%;
    margin: 5px;
}

#overlayContainer button {
    height: 15%;
    width: 40%;
}

#root {
    height: 100vh;
    width: 100vw;
}